# FpeConstraints

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**luhn_check** | **bool** | Whether the token should satisfy the Luhn checksum. It is an error to apply this constraint to non-numeric parts, or for an encrypted part to be under more than one Luhn check constraint. Also, if an encrypted part has a Luhn check constraint applied to it and may contain at least one digit that is not preserved, it must not specify any other constraints.  | [optional] 
**num_gt** | **int** | Number that the token part should be greater than. This constraint can only be specified on (non-compound) numeric encrypted parts that are guaranteed to preserve either everything or nothing at all.  | [optional] 
**num_lt** | **int** | Number that the token part should be smaller than. This constraint can only be specified on (non-compound) numeric encrypted parts that are guaranteed to preserve either everything or nothing at all.  | [optional] 
**num_ne** | **int** | Numbers that the token part should not be equal to. It is an error to apply this constraint to non-numeric parts. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


