# App

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **str** | Name of the application. Application names must be unique within an account. | 
**app_id** | **str** | Application ID uniquely identifying this application. | 
**auth_type** | [**AppAuthType**](AppAuthType.md) |  | 
**description** | **str** | Description of this application. | [optional] 
**interface** | **str** | Interface used with this application (PKCS11, CNG, JCE, KMIP, etc.). | [optional] 
**acct_id** | **str** | The account ID of the account that this application belongs to. | 
**groups** | **list[str]** | An array of Security Group IDs. The application belongs to each Security Group in this array. | 
**default_group** | **str** | The default group of this application. This is the group where security objects will be created by default by this application. | 
**enabled** | **bool** | Whether this application is enabled. | 
**app_type** | **str** | The user-defined type of this application. | 
**creator** | [**CreatorType**](CreatorType.md) |  | 
**created_at** | **str** | When this application was created. | 
**lastused_at** | **str** | When this application was last used. | [optional] 
**oauth_config** | [**AppOauthConfig**](AppOauthConfig.md) |  | [optional] 
**cert_not_after** | **str** | Certificate expiration date. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


